#external_tools_dialog {
  height: auto !important; }
  #external_tools_dialog .shared_secret_note {
    font-size: 0.8em;
    position: relative;
    top: -10px; }

#external_tools .external_tool {
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  -ms-border-radius: 5px;
  -o-border-radius: 5px;
  border-radius: 5px; }
  #external_tools .external_tool .header {
    padding: 5px 10px 0; }
    #external_tools .external_tool .header .name {
      float: left;
      font-size: 1.2em;
      font-weight: bold; }
    #external_tools .external_tool .header .links {
      float: right;
      filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=50);
      opacity: 0.5; }
  #external_tools .external_tool .content {
    padding: 0 20px 5px; }
  #external_tools .external_tool .extras {
    display: none; }
    #external_tools .external_tool .extras div {
      font-style: italic;
      font-size: 0.9em; }
  #external_tools .external_tool:hover {
    background-color: #eeeeee; }
    #external_tools .external_tool:hover .links {
      filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
      opacity: 1; }
  #external_tools .external_tool.has_editor_button .extras, #external_tools .external_tool.has_resource_selection .extras, #external_tools .external_tool.has_course_navigation .extras, #external_tools .external_tool.has_user_navigation .extras, #external_tools .external_tool.has_account_navigation .extras, #external_tools .external_tool.has_homework_submission .extras {
    display: table-row; }
    #external_tools .external_tool.has_editor_button .extras div, #external_tools .external_tool.has_resource_selection .extras div, #external_tools .external_tool.has_course_navigation .extras div, #external_tools .external_tool.has_user_navigation .extras div, #external_tools .external_tool.has_account_navigation .extras div, #external_tools .external_tool.has_homework_submission .extras div {
      display: none; }
  #external_tools .external_tool.has_editor_button div.editor_button {
    display: block; }
  #external_tools .external_tool.has_homework_submission div.homework_submission {
    display: block; }
  #external_tools .external_tool.has_resource_selection div.resource_selection {
    display: block; }
  #external_tools .external_tool.has_course_navigation div.course_navigation {
    display: block; }
  #external_tools .external_tool.has_user_navigation div.user_navigation {
    display: block; }
  #external_tools .external_tool.has_account_navigation div.account_navigation {
    display: block; }
